; Dragon Warrior II's $F2 script control code is broken: if the number in RAM $8F-$90 is 1, it's supposed to print nothing, otherwise it's supposed to print "s".
; However, if the number in RAM $8F-$90 is 1, what it actually does is trigger a string end, which results in the game displaying text like "And earned 1 piece"
; instead of "And earned 1 piece of gold.".
;
; This patch fixes the bug so that when $8F-$90 is 1, the $F2 control code prints no text instead of terminating the entire string. Note that the bug is
; undetectable in the original game since the $F2 control code is only used in combination with gold amounts and there is no way to change your gold amount by
; exactly 1, so this patch will be of limited interest to non-hackers.

norom

org $1C7FF

	BNE -14